<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>添加成品</title>
  <meta name="renderer" content="webkit">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
  <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
  <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
    <style type="text/css">
        .layui-form-select dl{max-height: 150px;}
    </style>
</head>
<body>
<div class="layui-fluid">
    <div class="layui-card">
        <div class="layui-card-body" pad15>
            <div class="layui-row layui-col-space15">
                <div class="layui-col-md12">

                    <form class="layui-form" action="" lay-filter="component-form-element">
                        <div class="layui-row layui-col-space10 layui-form-item">
                            <div class="layui-col-lg6">
                                <label class="layui-form-label"><font color='red' size="4">*</font>供应商：</label>
                                <div class="layui-input-block">
                                    <select id="id_supplier" name="supplier" lay-verify="required" lay-search>
                                        <option value=""></option>
                                    </select>
                                </div>
                            </div>
                            <div class="layui-col-lg6">
                                <label class="layui-form-label"><font color='red' size="4">*</font>价格：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="price" lay-verify="required|numberGeZ" autocomplete="off" class="layui-input">
                                </div>
                            </div>
                            <div class="layui-col-lg6">
                                <label class="layui-form-label">税率：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="tax_rate" lay-verify="numberGeZ" autocomplete="off" class="layui-input">
                                </div>
                            </div>
                            <div class="layui-col-lg6">
                                <label class="layui-form-label">备注：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="notes" placeholder="" autocomplete="off" class="layui-input">
                                </div>
                            </div>
                        </div>
                        <button class="layui-btn" lay-submit lay-filter="component-form-element" id="submit_btn" style="display: none">保存</button>
                    </form>

                </div>
            </div>
        </div>
    </div>
</div>


  <script src="../../layuiadmin/layui/layui.js"></script>
  <script>
  layui.config({
    base: '../../../layuiadmin/' //静态资源所在路径
  }).extend({
    index: 'lib/index' //主入口模块
  }).use(['index', 'utils','form'], function(){
    var $ = layui.$
    ,admin = layui.admin
    ,element = layui.element
    ,form = layui.form;
    var id = layui.view.getParameterByName('id');
    var type = layui.view.getParameterByName('type');
    var loaddata = false;
    var loadsupplier = false;
    admin.req({
      url: '/supplier/supplier/select/?type=' + type,
      done: function(res){
        var data = res.data;
        var supplier_node = $('#id_supplier');
        for (var i in data) {
            var pid = data[i].id;
            var value = data[i].value;
            supplier_node.append("<option value='"+pid+"'>"+value+"</option>");
        }
        form.render();
        loadsupplier = true;
        loadData()
     }
    });
    var loadData = function () {
      if(!loadsupplier){
        return;
      }
      if(loaddata){
        return;
      }
      loaddata = true;
      if(id){
      var data = JSON.parse(JSON.stringify(parent.layui.table.editdata));
      form.val("component-form-element", data);
    }
    };

    form.on('submit(component-form-element)', function(data){
      admin.req({
        url: '/purchase/purchase_price/save/?id='+id
        ,data: JSON.stringify(data.field)
        ,type: 'post'
        ,done: function(res){
            parent.layui.onSubmitChild();
        }
      });
      return false;
    });
    parent.layui.submitChild = function () {
      $("#submit_btn").click();
    };
  });
  </script>
</body>
</html>